# Class Point2D.Float

java.lang.Object
java.awt.geom.Point2D
java.awt.geom.Point2D.Float

All Implemented Interfaces:
  `Serializable, Cloneable`

Enclosing class:
  `Point2D`

public static class Point2D.Float extends Point2D implements Serializable
The `Float` class defines a point specified in float precision.

Since:
  1.2
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces declared in class Point2D

`Point2D.Double, Point2D.Float`

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`x`
The X coordinate of this `Point2D`.
`float`
`y`
The Y coordinate of this `Point2D`.

## Constructor Summary

Constructors
Constructor
Description
`Float()`
Constructs and initializes a `Point2D` with coordinates (0, 0).
`Float(float x, float y)`
Constructs and initializes a `Point2D` with the specified coordinates.

## Method Summary

Modifier and Type
Method
Description
`double`
`getX()`
Returns the X coordinate of this `Point2D` in `double` precision.
`double`
`getY()`
Returns the Y coordinate of this `Point2D` in `double` precision.
`void`
`setLocation(double x, double y)`
Sets the location of this `Point2D` to the specified `double` coordinates.
`void`
`setLocation(float x, float y)`
Sets the location of this `Point2D` to the specified `float` coordinates.
`String`
`toString()`
Returns a `String` that represents the value of this `Point2D`.

### Methods declared in class Point2D

`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

### Methods declared in class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public float x
The X coordinate of this `Point2D`.

Since:
  1.2

### y

public float y
The Y coordinate of this `Point2D`.

Since:
  1.2

## Constructor Details

### Float

public Float()
Constructs and initializes a `Point2D` with coordinates (0, 0).

Since:
  1.2

### Float

public Float(float x, float y)
Constructs and initializes a `Point2D` with the specified coordinates.

Parameters:
  `x` - the X coordinate of the newly constructed `Point2D`
  `y` - the Y coordinate of the newly constructed `Point2D`
Since:
  1.2

## Method Details

### getX

public double getX()
Returns the X coordinate of this `Point2D` in `double` precision.

Specified by:
  `getX` in class `Point2D`
Returns:
  the X coordinate of this `Point2D`.
Since:
  1.2

### getY

public double getY()
Returns the Y coordinate of this `Point2D` in `double` precision.

Specified by:
  `getY` in class `Point2D`
Returns:
  the Y coordinate of this `Point2D`.
Since:
  1.2

### setLocation

public void setLocation(double x, double y)
Sets the location of this `Point2D` to the specified `double` coordinates.

Specified by:
  `setLocation` in class `Point2D`
Parameters:
  `x` - the new X coordinate of this `Point2D`
  `y` - the new Y coordinate of this `Point2D`
Since:
  1.2

### setLocation

public void setLocation(float x, float y)
Sets the location of this `Point2D` to the specified `float` coordinates.

Parameters:
  `x` - the new X coordinate of this `Point2D`
  `y` - the new Y coordinate of this `Point2D`
Since:
  1.2

### toString

public String toString()
Returns a `String` that represents the value of this `Point2D`.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `Point2D`.
Since:
  1.2